from flask import redirect, render_template, request, session, url_for, Blueprint
from app.models import *

reports = Blueprint("reports", __name__)

@reports.route("/lab1", methods=["GET","POST"])
def lab1():
    temperature_conn = create_conn("app/temperature.db")
    data_reversed_room1 = select_all_room1_temperature(temperature_conn)
    table_room1 = select_all_room1_temperature_table(temperature_conn)
    return render_template("Lab1.html",title="Lab1",room1graph = data_reversed_room1,room1table = table_room1)

@reports.route("/lab2", methods=["GET","POST"])
def lab2():
    temperature_conn = create_conn("app/temperature.db")
    data_reversed_room2 = select_all_room2_temperature(temperature_conn)
    table_room2 = select_all_room2_temperature_table(temperature_conn)
    return render_template("Lab2.html",title="Lab2",room2graph = data_reversed_room2,room2table = table_room2)

@reports.route("/accesslog", methods=["GET","POST"])
def accesslog():
    rfid_conn = create_conn("app/rfid.db")
    data_reversed_access = select_all_accessdata(rfid_conn)
    return render_template("accesslog.html",title="accesslog",tabledata = data_reversed_access)
